Bug 1607150 - UI Timeout causing IE 11 to automatically log out
Summary: UI Timeout causing IE 11 to automatically log out
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.9.z
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-22 15:15 UTC by Mauricio Magnani
Modified: 2018-11-20 03:12 UTC (History)
5 users (show)

(edit)
Cause: Events on 'storage' in IE11 are also triggered in the same window tab, whereas in other browsers the event is triggered only by duplicate tabs.

Consequence: The timeout was reached when logging into the console in IE11 

Fix: Check if the is `inactivityLogoutKey` and that all tabs have to be logged out due to the reaching the timeout.

Result: IE11 will logout on the same conditions as other browsers.
Clone Of:
(edit)
Last Closed: 2018-11-20 03:12:03 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2908 None None None 2018-11-20 03:12 UTC

Description Mauricio Magnani 2018-07-22 15:15:35 UTC
### Description of problem ###

Logs people out right after they log in using IE 11.

You have been logged out due to inactivity. Return to the console.


### Version-Release number ###


OCP 3.9.31

IE 11.1088.15063.0

Comment 1 Samuel Padgett 2018-07-22 15:20:23 UTC
Jakub, can you check that inactivity timeout works properly in IE11?

Comment 2 Jakub Hadvig 2018-07-23 09:33:08 UTC
On it.

Comment 3 Jakub Hadvig 2018-07-23 13:00:34 UTC
Fixing PR: https://github.com/openshift/origin-web-console/pull/3041

Comment 4 openshift-github-bot 2018-07-24 17:12:16 UTC
Commits pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/28a797c293b33671e00e99a68b0a7805f2d4ed07
Bug 1607150 - UI Timeout causing IE 11 to automatically log out

https://github.com/openshift/origin-web-console/commit/d25e0ca15f1d5ef2e8064ec2377661b8ab36c873
Merge pull request #3041 from jhadvig/BZ1607150

Bug 1607150 - UI Timeout causing IE 11 to automatically log out

Comment 6 Yanping Zhang 2018-08-24 03:44:03 UTC
Still reproduced on OCP 3.9.41 with IE 11.1206.15063.0
OpenShift Master:
v3.9.41
Kubernetes Master:
v1.9.1+a0ce1bc657
OpenShift Web Console:
v3.9.41

Comment 7 Samuel Padgett 2018-08-24 13:10:03 UTC
The 3.9.z fix hadn't merged yet due to problems with CI. I just merged it today:

https://github.com/openshift/origin-web-console/pull/3046

Comment 8 Samuel Padgett 2018-08-24 13:41:39 UTC
I had to revert the commit because it caused a dist failure.

Comment 11 Yanping Zhang 2018-09-07 02:55:05 UTC
openshift v3.9.42
kubernetes v1.9.1+a0ce1bc657
registry.reg-aws.openshift.com:443/openshift3/ose-web-console               v3.9.42             af406012efe9        5 hours ago         466 MB
The bug is still reproduced on OCP 3.9.42 with IE 11.1206.15063.0, so assign it back.

Comment 12 Jakub Hadvig 2018-09-10 11:14:35 UTC
I've tested the changes with the latest 3.9 console changes and was not able to reproduce the issue. The v3.9.42 version probably doesn't contain the fix.

Comment 13 Yanping Zhang 2018-09-11 06:40:35 UTC
registry.reg-aws.openshift.com:443/openshift3/ose-web-console               v3.9.43             7aea5cf769f5        12 hours ago        466 MB

Tested on OCP 3.9.43, checked on IE 11.1266.15063.0 and IE 11.165.17134.0, the bug is still reproduced. Not sure if the fix doesn't work here.

Comment 14 Jakub Hadvig 2018-09-11 14:27:09 UTC
Could you please download the scripts.js dist and sent me it on my mail.
Will check if the change is there, since testing the latest 3.9 version was working for me. Thanks !

Comment 16 Yanping Zhang 2018-09-12 04:57:17 UTC
Herr are my test steps:
1. Set "inactivityTimeoutMinutes" in cm "webconsole-config" in project openshift-web-console:
    features:
      clusterResourceOverridesEnabled: false
      inactivityTimeoutMinutes: 5
2. Wait the web console pod container to restart.
3. Login IE11 on windows10. After input username/passwd, the login process redirects to logout process, and there is info: You have been logged out due to inactivity. Return to the console.

Pls correct me if my test is wrong, thanks!
The context of scripts.js has been sent to Jakub's mail.

Comment 20 Yanping Zhang 2018-10-08 03:32:19 UTC
openshift v3.9.45
kubernetes v1.9.1+a0ce1bc657
registry.reg-aws.openshift.com:443/openshift3/ose-web-console               v3.9.45             b447288cec55        2 weeks ago         466 MB

Checked on OCP 3.9 with above package versions. After set "inactivityTimeoutMinutes", login on IE11 on Win10, could login successfully.
The bug has been fixed, so move it to Verified.

Comment 22 errata-xmlrpc 2018-11-20 03:12:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2908


Note You need to log in before you can comment on or make changes to this bug.